Summary:	A text-based modem control and terminal emulation program
Name:		minicom
Version:	2.7.1
Release:	%mkrel 4
License:	GPLv2+
Group:		Communications/Dial-Up
URL:		http://alioth.debian.org/projects/minicom/
Source0:	https://alioth.debian.org/frs/download.php/file/3972/%{name}-%{version}.tar.gz
Requires:	lrzsz
Requires:	setserial
Requires:	lockdev-baudboy
BuildRequires:	pkgconfig(ncurses)
BuildRequires:  git

# Upstream patch:
Patch1: 0001-Add-a-missing-va_end-call.patch
# Upstream patch:
Patch2: 0002-Make-sure-strings-copied-by-strncpy-are-null-termina.patch
# Upstream patch:
Patch3: 0003-Fix-file-descriptor-leaks.patch
# Upstream patch:
Patch4: 0004-Fix-a-directory-handle-leak.patch
# Upstream patch:
Patch5: 0005-Fix-a-read-past-end-of-buffer.patch
# Upstream patch:
Patch6: 0006-Fix-a-warning-about-an-unused-variable.patch
# Upstream patch:
Patch7: 0007-loadconv-Add-missing-fclose.patch
# Upstream patch:
Patch8: 0001-Drop-superfluous-global-variable-definitions.patch
# Upstream patch:
Patch9: 0002-Drop-superfluous-global-variable-definitions.patch
# Upstream patch:
Patch10: 0003-Drop-superfluous-global-variable-definitions.patch

%description
Minicom is a simple text-based modem control and terminal emulation program
somewhat similar to MSDOS Telix. Minicom includes a dialing directory, full
ANSI and VT100 emulation, an (external) scripting language, and other features.

Minicom should be installed if you need a simple modem control program or
terminal emulator.

Run 'minicom -s' as root to create a system wide configuration. Users need
read/write permissions on the serial port devices in order to use minicom.


%prep
%autosetup -S git

%build
%configure	--disable-rpath \
		--enable-lock-dir=%{_localstatedir}/lock/lockdev

%make_build

%install
%make_install
%find_lang %name

%files -f %name.lang
%doc NEWS AUTHORS README TODO
%doc doc/Announce* doc/COMPATABILITY.lrzsz doc/HistSearch
%doc doc/Locales doc/Macros doc/QuickStart.modemu doc/README.lrzsz
%doc doc/TODO.lrzsz doc/Todo* doc/copyright.modemu doc/fselector.txt
%doc doc/japanese doc/minicom.FAQ doc/modemu.README doc/pl-translation.txt 
%doc doc/portugues-brasil doc/suomeksi doc/ChangeLog.old
%attr(755,root,dialout) %{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/man1/*.1*




%changelog
* Sun Jun 28 2020 joequant <joequant> 2.7.1-4.mga8
+ Revision: 1599965
- fix deps
- add fedora patches / fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 2.7.1-3.mga8
+ Revision: 1515161
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.7.1-2.mga7
+ Revision: 1299554
- Mageia 7 Mass Rebuild

* Sat Apr 22 2017 neoclust <neoclust> 2.7.1-1.mga6
+ Revision: 1097084
- New version 2.7.1, fixes CVE-2017-7467 (mga#20701)

* Thu Feb 04 2016 umeabot <umeabot> 2.7-4.mga6
+ Revision: 934220
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7-3.mga5
+ Revision: 743608
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7-2.mga5
+ Revision: 682520
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 solbu <solbu> 2.7-1.mga5
+ Revision: 599196
- New version

* Mon Oct 21 2013 umeabot <umeabot> 2.6.2-3.mga4
+ Revision: 540744
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 solbu <solbu> 2.6.2-2.mga4
+ Revision: 494242
- Rebuild for ncurses/tinfo split

* Sun Mar 31 2013 solbu <solbu> 2.6.2-1.mga3
+ Revision: 406861
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.6.1-3.mga3
+ Revision: 360101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 2.6.1-2.mga3
+ Revision: 302510
- update RPM group

* Tue Jul 24 2012 solbu <solbu> 2.6.1-1.mga3
+ Revision: 273928
- New version
- Drop unused, non-working patch

* Sun Mar 20 2011 dmorgan <dmorgan> 2.5-2.mga1
+ Revision: 75077
- P1: fixed crashing on non-readable directory (#675400) ( fedora )

* Sun Mar 06 2011 dmorgan <dmorgan> 2.5-1.mga1
+ Revision: 65236
- imported package minicom

